View Issue Details

IDProjectCategoryView StatusLast Update
0003547SymmetricDSImprovementpublic2018-06-05 16:55
Reporterwoehrl01Assigned To 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.6 
Target Version3.9.8Fixed in Version3.9.8 
Summary0003547: Improve Sqlite DdlBuilder support
DescriptionDue to the fact that ddl support on Sqlite is very limited, most of the changes in schema lead to recreating the whole table which can take quite some time.

I implemented the following changes:

*A rename of the table is now executed with the alter table ... rename syntax
*Adding of columns is now supported via the alter table ... add column syntax
*Default values are surounded with parenthesis to prevent some syntax errors

Activities

Issue History

Date Modified Username Field Change
2018-05-05 07:27 woehrl01 New Issue
2018-05-05 07:27 woehrl01 Note Added: 0001178
2018-05-23 12:52 mmichalek Status new => resolved
2018-05-23 12:52 mmichalek Resolution open => fixed
2018-05-23 12:52 mmichalek Fixed in Version => 3.9.8
2018-05-23 12:52 mmichalek Target Version => 3.9.8
2018-06-05 16:55 mmichalek Status resolved => closed